gtkmm: Gtk::SeparatorMenuItem Class Reference

gtkmm 2.24.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Related Functions

# Gtk::SeparatorMenuItem Class Reference
Widgets | Menu classes

A separator used to group items within a menu. More...

Inheritance diagram for Gtk::SeparatorMenuItem:
[legend]
Collaboration diagram for Gtk::SeparatorMenuItem:
[legend]

List of all members.

## Public Member Functions
virtual | ~SeparatorMenuItem ()
GtkSeparatorMenuItem* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkSeparatorMenuItem* | gobj () const
| Provides access to the underlying C GtkObject.
| SeparatorMenuItem ()
## Related Functions
(Note that these are not member functions.)
Gtk::SeparatorMenuItem* | wrap (GtkSeparatorMenuItem* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A separator used to group items within a menu.

It displays a horizontal line with a shadow to make it appear sunken into the interface.

## Constructor & Destructor Documentation

virtual Gtk::SeparatorMenuItem::~SeparatorMenuItem | ( |  | ) | `[virtual]`

Gtk::SeparatorMenuItem::SeparatorMenuItem | ( |  | ) |

## Member Function Documentation

GtkSeparatorMenuItem* Gtk::SeparatorMenuItem::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::MenuItem.

const GtkSeparatorMenuItem* Gtk::SeparatorMenuItem::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::MenuItem.

## Friends And Related Function Documentation

Gtk::SeparatorMenuItem* wrap | ( | GtkSeparatorMenuItem * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/separatormenuitem.h